
package org.hansv.model;
import javafx.beans.property.DoubleProperty;
import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleDoubleProperty;
import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;
/**
 * @author Vladimír Hans, BSD licence http://opensource.org/licenses/bsd-license.php
 * @version 1.0
 */
public class NamedPlaceItem {
	private StringProperty mapname;
	private StringProperty origname;
	private StringProperty key;
	private DoubleProperty latitude;
	private DoubleProperty longitude;
	private DoubleProperty distance;
	private IntegerProperty id;
	
	public NamedPlaceItem(Integer id, String mapname, String origname, String key, Double latitude, Double longitude, Double distance){
		this.mapname = new SimpleStringProperty(mapname);
		this.origname = new SimpleStringProperty(origname);
		this.key= new SimpleStringProperty(key);
		this.latitude = new SimpleDoubleProperty(latitude);
		this.longitude = new SimpleDoubleProperty(longitude);
		this.distance = new SimpleDoubleProperty(distance);
		this.id = new SimpleIntegerProperty(id);
	}
	
	
	/**
	 * Return identifier of row
	 * @return 
	 */
	public Integer getId(){
		return id.get();
	}
	public void setId(Integer id){
		this.id.set(id);
	}
	public IntegerProperty getIdProperty(){
		return id;
	}
	/**
	 * Get original name of named place
	 * @return 
	 */
	public String getOrigname(){
		return origname.get();
	}
	public void setOrigname(String origname){
		this.origname.set(origname);
	}
	public StringProperty getOrignameProperty(){
		return origname;
	}
	
	/**
	 * Get original name of named place
	 * @return 
	 */
	public String getMapname(){
		return origname.get();
	}
	public void setMapname(String mapname){
		this.mapname.set(mapname);
	}
	public StringProperty getMapnameProperty(){
		return mapname;
	}
	
	/**
	 * Get identifier of named place
	 * @return 
	 */
	public String getKey(){
		return key.get();
	}
	public void setKey(String key){
		this.key.set(key);
	}
	public StringProperty getKeyProperty(){
		return key;
	}
	
	/**
	 * Get latitude
	 * @return 
	 */
	public Double getLatitude(){
		return latitude.get();
	}
	public void setLatitude(Double latitude){
		this.latitude.set(latitude);
	}
	public void setLatitude(String latitude){
		this.latitude.set(Double.parseDouble(latitude));
	}
	public DoubleProperty getLatitudeProperty(){
		return latitude ;
	}
	/**
	 * Get longitude
	 * @return 
	 */
	public Double getLongitude(){
		return longitude.get();
	}
	public void setLongitude(Double longitude){
		this.longitude.set(longitude);
	}
	public void setLongitude(String longitude){
		this.longitude.set(Double.parseDouble(longitude));
	}
	public DoubleProperty getLongitudeProperty(){
		return longitude;
	}
	
	/**
	 * Get max distance between named place and locality
	 * @return 
	 */
	public Double getDistance(){
		return distance.get();
	}
	public void setDistance(Double distance){
		this.distance.set(distance);
	}
	public DoubleProperty getDistanceProperty(){
		return distance;
	}
}
