package org.hansv.model;

import org.apache.commons.lang.StringUtils;


/**
 * @author Vladimír Hans, BSD licence http://opensource.org/licenses/bsd-license.php
 * @version 1.0
 */
public class OccurenceItem {
	
	public final String localityid;
	public final String taxon;
	public final String date1;
	public final String source;
	public final String project;
	public final String date2;
	public final String status;
	public final String note;
	public final String schedanote;
	public final String schedacount;
	public final String herbarium;
	public final String biotope;
	public final String originalname;
	public final String originalmappedname;
	public final String abbrev;
	public final String abund;
	public final String authorrev;
	public final String authordet;
	public final String negative;
	public final String collectors;
	public final String user;
	public final String password;
	
	public OccurenceItem(String localityid, String taxon, String abbrev, String originalname,String originalmappedname, String date1, String date2, String source, String project, String note, String schedanote, String schedacount, String herbarium, String biotope, String abund, String authordet, String authorrev, String status, String negative, String collectors, String user, String password){
		this.localityid = localityid;
		this.taxon = taxon;
		this.source = source;
		this.project = project;
		this.date2 = date2;
		this.date1 = date1;
		this.note = note;
		this.schedanote = schedanote;
		this.schedacount = schedacount;
		this.herbarium = herbarium;
		this.biotope = biotope;
		this.originalname = originalname;
		this.originalmappedname = originalmappedname;
		this.abbrev = abbrev;
		this.abund = abund;
		this.authorrev = authorrev;
		this.authordet = authordet;
		this.status = status;
		this.negative = getNegative(negative);
		this.user = user;
		this.password = password;
		this.collectors = collectors;
	}
	
	public String toString(){
		return "localityid: " + localityid + "; taxon: " + taxon + "; abbrev: " + originalname + "; date1: "+ date1 + "; date2: " + source + "; project: " +  project + "; note: " + note + "; herbarium: " + herbarium + "; biotope: " + biotope + "; abund: " + abund + "; authordet: " + authordet + "authrev" + authorrev + "; status: " + status + ": negative: " + negative + "; collectors: " + collectors + " user: " + user + "; password: " + password;
	}
	
	private String getNegative(String value){
		if(StringUtils.isBlank(value) == false){
			switch(value.toLowerCase()){
				case("true"): return "1";
				case ("false"): return "0";
				case("1"): return "1";
				case ("0"): return "0";
				case("a"): return "1";
				case ("n"): return "0";
				case("ano"): return "1";
				case ("ne"): return "0";
				default: return "0";
			}
		}else{
			return "0";
		}
	}
}
