package org.hansv.utils;

import java.io.File;
import java.io.FileWriter;
import java.io.PrintWriter;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;


/**
 * @author Vladimír Hans, BSD licence http://opensource.org/licenses/bsd-license.php
 * @version 1.0
 */
public class ErrorLog {
	private FileDir filedir;

	public ErrorLog(){
	}
	
	/**
	 * Setter injector
	 * @param fd Class FileDir
	 * @see org.hansv.utils.FileDir
	 */
	public void setFileDir(FileDir fd){
		filedir = fd;
		if(!fd.isAppDir()){
			fd.createAppDir();
		}
	}
	
	/**
	 * Logs error in file
	 * @param excStack  Exception throw stack string 
	 * @param description Description about error

	 */
	public void logErr(String excStack, String description){
		File f;
		String strLogFile;
		strLogFile = filedir.getAppDirPath() + File.separator + "vratickaimport-error.log";
		try{
			f=new File(strLogFile);
			f.createNewFile();
			try (PrintWriter vystup = new PrintWriter(new FileWriter(strLogFile,true))) {
				DateFormat dateFormat = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
				Date date = new Date();
				vystup.println( dateFormat.format(date) + " " + description);
				vystup.println(excStack);
			}
		}catch(Exception exc){
			System.out.println(exc.getMessage());
			System.exit(0);         
		}
	}
}
