package org.hansv.utils;

import java.io.File;
import java.nio.file.FileSystems;
import java.nio.file.Files;
import java.nio.file.LinkOption;
import java.nio.file.Path;

/**
 * @author Vladimír Hans, BSD licence http://opensource.org/licenses/bsd-license.php
 * @version 1.0
 */
public class FileDir {
	String strpath;
	
	public FileDir(){
		strpath = System.getProperty("user.home") + File.separator + ".vratickaimport";
	}
	
	/**
	 * Check, if exist directory for saving data
	 * @return boolean
	 */
	public boolean isAppDir(){
		boolean isDir;
		isDir = false;
		Path path = FileSystems.getDefault().getPath(strpath);
		if (Files.exists(path, LinkOption.NOFOLLOW_LINKS)){
			isDir= true;
		}
		return isDir;
	}

	/**
	 * create directory for application
	 * @return boolean
	 */
	public boolean createAppDir(){
		boolean success = (new File(strpath)).mkdirs();
		return success;
	}
	
	/**
	 * Get path to application directory
	 * @return String
	 */
	public String getAppDirPath(){
		return strpath;
	}
}
