
package org.hansv.utils;

/**
 * @author Vladimír Hans, BSD licence http://opensource.org/licenses/bsd-license.php
 * @version 1.0
 */
public class ProxySingleton {
	private String host = null;
	private int port = -1;
	private String user = null;
	private String password = null;
	private static ProxySingleton instance = null;
	
	private ProxySingleton(){
		
	}
	
	 public static ProxySingleton getInstance(){
        if(instance == null){
            instance = new ProxySingleton();
        }
        return instance;
    }
	public void setHost(String host){
		this.host = getValue(host);
	}
	
	public void setPort(int port){
		this.port = port;
	}
	
	public void setUser(String user){
		this.user = user;
	}
	
	public void setPassword(String password){
		this.password = password;
	}
	
	public String getHost(){
		return this.host;
	}
	
	public int getPort(){
		return this.port;
	}
	
	public String getUser(){
		return this.user;
	}
	
	public String getPassword(){
		return this.password;
	}
	
	private String getValue(String input){
		String value = null;
		if(input != null){
			if(input.length() != 0){
				value = input;
			}
		}
		return value;
	}
}
