package org.hansv.vratickaimport3;


import com.google.inject.Singleton;
import com.sun.deploy.uitoolkit.impl.fx.HostServicesFactory;
import com.sun.javafx.application.HostServicesDelegate;
import java.io.UnsupportedEncodingException;
import java.net.URL;
import java.net.URLEncoder;
import java.util.ResourceBundle;
import java.util.logging.Level;
import java.util.logging.Logger;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.web.WebEngine;
import javafx.scene.web.WebView;
import javafx.application.Application;
//import org.apache.commons.lang.StringEscapeUtils;
import org.hansv.utils.LoginSingleton;
import org.hansv.utils.Utils;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * @author Vladimír Hans, BSD licence http://opensource.org/licenses/bsd-license.php
 * @version 1.0
 */
@Singleton
public class WWWBrowserController implements Initializable {

	@FXML
	private WebView www_content;

	
	private LoginSingleton ls;
	private Utils utils;
	/**
	 * Initializes the controller class.
	 */
	@Override
	public void initialize(URL url, ResourceBundle rb) {
		
		ApplicationContext context = new ClassPathXmlApplicationContext(new String[]{"config/Beans.xml"});
		ls = LoginSingleton.getInstance();
		utils = (Utils)context.getBean("utils");
	}	
	
	public void load(String fragmentUrl){
		WebEngine engine = www_content.getEngine();
		try {
			engine.load(utils.getServerPath() + fragmentUrl + "?password=" + URLEncoder.encode(ls.getPassword(),"UTF-8") + "&login="+ URLEncoder.encode(ls.getName(),"UTF-8") + "&source=remote");
		} catch (UnsupportedEncodingException ex) {
			Logger.getLogger(WWWBrowserController.class.getName()).log(Level.SEVERE, null, ex);
		}
	}
	
	public void loadNamedPlace(String fragmentUrl, Double lat, Double longit){
		WebEngine engine = www_content.getEngine();
		try {
			engine.load(utils.getServerPath() + fragmentUrl + "?password=" + URLEncoder.encode(ls.getPassword(),"UTF-8") + "&login="+ URLEncoder.encode(ls.getName(),"UTF-8") +"&lat=" + lat + "&long=" + longit + "&source=remote");
		} catch (UnsupportedEncodingException ex) {
			Logger.getLogger(WWWBrowserController.class.getName()).log(Level.SEVERE, null, ex);
		}
	}
	
	/**
	 * Set www adress for mapy.cz
	 * @param longitude
	 * @param latitude 
	 */
	public void loadMap(Double longitude, Double latitude){
		WebEngine engine = www_content.getEngine();
		//String path ="http://mapy.cz/turisticka?x=" + longitude.toString() + "&y=" + latitude.toString() + "&z=13&l=0&source=coor&id=" + longitude.toString() + "%2C" + latitude.toString(); 
		String path ="https://www.openstreetmap.org/?mlat=" + latitude.toString() + "&mlon=" + longitude.toString() + "#map=14/" + latitude.toString() + "/" + longitude.toString(); 
		//System.out.println(path);
		engine.setJavaScriptEnabled(true);
		engine.load(path);
	}
	
}
