/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.hansv.db;

import java.io.File;
import org.hansv.utils.ErrorLog;
import org.hansv.utils.FileDir;
import org.hansv.utils.Messages;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import org.mockito.Mockito;
import static org.mockito.Mockito.mock;

/**
 *
 * @author merkur
 */
public class CsvTest {
    private String path;
    private String sepCol;
    private String sepStr;
    private String charset;
    private boolean header;
    private ErrorLog er;
    private Messages msg;
    private FileDir  fd;
    
    public CsvTest() {
    }
    
    @BeforeClass
    public static void setUpClass() {
    }
    
    @AfterClass
    public static void tearDownClass() {
    }
    
    @Before
    public void setUp() {
        path = System.getProperty("user.dir")+File.separator + "testdata" + File.separator + "export1.csv";
        sepCol = ";";
        sepStr ="\"";
        charset = "Windows 1250";
        header = true;
        FileDir  fd = mock(FileDir.class);
        Mockito.when(fd.getAppDirPath()).thenReturn(System.getProperty("user.home") + File.separator + ".vratickaimport");
        Mockito.when(fd.isAppDir()).thenReturn(Boolean.TRUE);
        er = mock(ErrorLog.class);
        Mockito.doNothing().when(er).logErr("aa","bb");
        Mockito.doNothing().when(er).setFileDir(fd);
    }
    
    @After
    public void tearDown() {
    }

    

    

    /**
     * Test of readData method, of class Csv.
     */
    @Test
    public void testReadData() {
        System.out.println("readData");
        Csv instance = new Csv();
		er = new ErrorLog();
		msg = new Messages();
        instance.setErrorLog(er);
		instance.setMessages(msg);
        instance.setUp(path, ";", "'", "Windows 1250", true);
        Object[][] result = instance.readData();
        assertEquals(36, result[0].length);
        assertEquals(94,result.length);
        
    }

    /**
     * Test of readDataSample method, of class Csv.
     */
    @Test
    public void testReadDataSample() {
        System.out.println("readDataSample");
        Csv instance = new Csv();
        instance.setErrorLog(er);
		instance.setMessages(msg);
        instance.setUp(path, ";", "'", "Windows 1250", true);
        Object[][] result = instance.readDataSample();
        assertEquals(36, result[0].length);
        assertEquals(50,result.length);
    }

    /**
     * Test of getColumn method, of class Csv.
     */
    @Test
    public void testGetColumns() {
        System.out.println("getColumn");
        Csv instance = new Csv();
        instance.setErrorLog(er);
		instance.setMessages(msg);
        instance.setUp(path, ";", "'", "Windows 1250", true);
        String[] result = instance.getColumns();
        assertEquals(36, result.length);
    }
    
}
